/// <reference types="cors" />
import { CorsOptions } from 'apollo-server-express';
import express from 'express';
import { GraphQLSchema } from 'graphql';
import { Logger } from 'ts-log';
export declare type Config = {
    allowIntrospection: boolean;
    allowListPath?: string;
    allowedOrigins?: CorsOptions['origin'];
    apiPort: number;
    cacheEnabled: boolean;
    listenAddress: string;
    prometheusMetrics: boolean;
    queryDepthLimit?: number;
    tracing: boolean;
};
export declare class Server {
    private config;
    private logger;
    app: express.Application;
    private apolloServer;
    private httpServer;
    private schemas;
    private syncProgress;
    constructor(schemas: GraphQLSchema[], config: Config, logger?: Logger);
    init(): Promise<void>;
    start(): Promise<void>;
    shutdown(): Promise<void>;
}
//# sourceMappingURL=Server.d.ts.map